/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.person.Association;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface AssociationMetaData
{
    public Association getEntity();

    public void setEntity(Association entity);

    public AddressMetaData getAddress();

    public PhoneMetaData getPrimaryPhone();

    public String getOrganizationName();

    public String getRelationship();
    
    /**
     * Guardian Name if Association type is a guardian
     * 
     * @return
     */
    public String getGuardianName(); 
    
    /**
     * Contact Name if Association type is a contact
     *  
     * @return
     */
    public NameMetaData getContactName();
    

    public String getType();

    public PhoneMetaData getAlternatePhone();
    
    public String getLastUpdateDate();
    
}